Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter

  The main REPL related classes and values are as follows.

  The main REPL related classes and values are as follows. In addition to standard compiler classes Global and Settings, there are:

  History: an interface for session history. Completion: an interface for tab completion. ILoop (formerly InterpreterLoop): The umbrella class for a session. IMain (formerly Interpreter): Handles the evolving state of the session and handles submitting code to the compiler and handling the output. InteractiveReader: how ILoop obtains input. History: an interface for session history. Completion: an interface for tab completion. Power: a repository for more advanced/experimental features.

  ILoop contains { in: InteractiveReader, intp: IMain, settings: Settings, power: Power } InteractiveReader contains { history: History, completion: Completion } IMain contains { global: Global }

  Definition Classes
    nsc
-  trait LoopCommands extends AnyRef
  Definition Classes
    interpreter
- LineCmd
- LoopCommand
- NullaryCmd
- Result
- VarArgsCmd

c

scala.tools.nsc.interpreter.LoopCommands

# NullaryCmd 

###

#### class NullaryCmd extends (LoopCommands.this)#LoopCommand

Source
  LoopCommands.scala

Linear Supertypes
(LoopCommands.this)#LoopCommand, (String) ⇒ (LoopCommands.this)#Result, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. NullaryCmd
2. LoopCommand
3. Function1
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new NullaryCmd(name: String, help: String, f: (String) ⇒ (LoopCommands.this)#Result)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from (LoopCommands.this)#NullaryCmd to any2stringadd[(LoopCommands.this)#NullaryCmd] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): ((LoopCommands.this)#NullaryCmd, B)
   Implicit
     This member is added by an implicit conversion from (LoopCommands.this)#NullaryCmd to ArrowAssoc[(LoopCommands.this)#NullaryCmd] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def andThen[A](g: ((LoopCommands.this)#Result) ⇒ A): (String) ⇒ A
   Definition Classes
     Function1
   Annotations
     @unspecialized()
7.  def apply(line: String): (LoopCommands.this)#Result
   Definition Classes
     NullaryCmd → LoopCommand → Function1
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
10.  def completion: Completion
    Definition Classes
      LoopCommand
11.  def compose[A](g: (A) ⇒ String): (A) ⇒ (LoopCommands.this)#Result
    Definition Classes
      Function1
    Annotations
      @unspecialized()
12.  def ensuring(cond: ((LoopCommands.this)#NullaryCmd) ⇒ Boolean, msg: ⇒ Any): (LoopCommands.this)#NullaryCmd
    Implicit
      This member is added by an implicit conversion from (LoopCommands.this)#NullaryCmd to Ensuring[(LoopCommands.this)#NullaryCmd] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: ((LoopCommands.this)#NullaryCmd) ⇒ Boolean): (LoopCommands.this)#NullaryCmd
    Implicit
      This member is added by an implicit conversion from (LoopCommands.this)#NullaryCmd to Ensuring[(LoopCommands.this)#NullaryCmd] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: ⇒ Any): (LoopCommands.this)#NullaryCmd
    Implicit
      This member is added by an implicit conversion from (LoopCommands.this)#NullaryCmd to Ensuring[(LoopCommands.this)#NullaryCmd] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): (LoopCommands.this)#NullaryCmd
    Implicit
      This member is added by an implicit conversion from (LoopCommands.this)#NullaryCmd to Ensuring[(LoopCommands.this)#NullaryCmd] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from (LoopCommands.this)#NullaryCmd to StringFormat[(LoopCommands.this)#NullaryCmd] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
22.  val help: String
    Definition Classes
      LoopCommand
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  val name: String
    Definition Classes
      LoopCommand
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  final def notify(): Unit
    Definition Classes
      AnyRef
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
28.  def showUsage(): (LoopCommands.this)#Result
    Definition Classes
      LoopCommand
29.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
30.  def toString(): String
    Definition Classes
      Function1 → AnyRef → Any
31.  def usage: String
    Definition Classes
      LoopCommand
32.  def usageMsg: String
    Definition Classes
      LoopCommand
33.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
34.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
35.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
36.  def →[B](y: B): ((LoopCommands.this)#NullaryCmd, B)
    Implicit
      This member is added by an implicit conversion from (LoopCommands.this)#NullaryCmd to ArrowAssoc[(LoopCommands.this)#NullaryCmd] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from (LoopCommands.this)#LoopCommand

### Inherited from (String) ⇒ (LoopCommands.this)#Result

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from (LoopCommands.this)#NullaryCmd to any2stringadd[(LoopCommands.this)#NullaryCmd]

### Inherited by implicit conversion StringFormat from (LoopCommands.this)#NullaryCmd to StringFormat[(LoopCommands.this)#NullaryCmd]

### Inherited by implicit conversion Ensuring from (LoopCommands.this)#NullaryCmd to Ensuring[(LoopCommands.this)#NullaryCmd]

### Inherited by implicit conversion ArrowAssoc from (LoopCommands.this)#NullaryCmd to ArrowAssoc[(LoopCommands.this)#NullaryCmd]

### Ungrouped